> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ngapainrepot.space/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ngapainrepot.space/_mcp/server.

# Validate Auth

POST https://c-dev-api.rajabiller.com/oauth2/token
Content-Type: application/x-www-form-urlencoded

Reference: https://docs.ngapainrepot.space/biller/02-provider-mitra-bukalapak/02-provider-mitra-bukalapak-products/validate-auth

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /oauth2/token:
    post:
      operationId: validate-auth
      summary: Validate Auth
      tags:
        - >-
          subpackage_02ProviderMitraBukalapak.subpackage_02ProviderMitraBukalapak/02ProviderMitraBukalapakProducts
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/02 Provider - Mitra Bukalapak_02 Provider
                  - Mitra Bukalapak > Products_Validate Auth_Response_200
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                scope:
                  type: string
                grant_type:
                  type: string
              required:
                - scope
                - grant_type
servers:
  - url: https://c-dev-api.rajabiller.com
    description: https://c-dev-api.rajabiller.com
  - url: https:/
    description: https://{base_url}
  - url: https://api.stg.servermitra.com
    description: https://api.stg.servermitra.com
components:
  schemas:
    02 Provider - Mitra Bukalapak_02 Provider - Mitra Bukalapak > Products_Validate Auth_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: >-
        02 Provider - Mitra Bukalapak_02 Provider - Mitra Bukalapak >
        Products_Validate Auth_Response_200

```

## Examples



**Request**

```json
{
  "scope": "read write",
  "grant_type": "client_credentials"
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://c-dev-api.rajabiller.com/oauth2/token"

payload = ""
headers = {"Content-Type": "application/x-www-form-urlencoded"}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://c-dev-api.rajabiller.com/oauth2/token';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/x-www-form-urlencoded'},
  body: new URLSearchParams('')
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://c-dev-api.rajabiller.com/oauth2/token"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Content-Type", "application/x-www-form-urlencoded")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://c-dev-api.rajabiller.com/oauth2/token")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/x-www-form-urlencoded'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://c-dev-api.rajabiller.com/oauth2/token")
  .header("Content-Type", "application/x-www-form-urlencoded")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://c-dev-api.rajabiller.com/oauth2/token', [
  'form_params' => null,
  'headers' => [
    'Content-Type' => 'application/x-www-form-urlencoded',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://c-dev-api.rajabiller.com/oauth2/token");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/x-www-form-urlencoded");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/x-www-form-urlencoded"]

let request = NSMutableURLRequest(url: NSURL(string: "https://c-dev-api.rajabiller.com/oauth2/token")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```